Bug 122614 - Regarding an edited style, while AutoUpdate is checked, it is not applied to new style created using method's steps 'New Style from Selection', 'New Style...'.
Summary: Regarding an edited style, while AutoUpdate is checked, it is not applied to ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Styles-Management
  Show dependency treegraph
 
Reported: 2019-01-09 21:05 UTC by ricky.tigg
Modified: 2021-07-19 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ricky.tigg 2019-01-09 21:05:14 UTC
Description:
Regarding an edited style, under Organizer tab, while AutoUpdate property is checked, it is not applied to new style created using method's steps 'New Style from Selection', 'New Style...'.

Steps to Reproduce:
1. Open a new ODT document, show Sidebar (Ctrl F5), click Styles, select Applied Styles;
2. Select style Default Style, right-click Modify...;
3. Under Organizer tab, check AutoUpdate. Under Indents & Spacing tab, click once '+' mark located on level 'above paragraph'. Click OK;
4. Select Default Style, click icon matching tool-tip 'New Style from Selection', select New Style..., name it 'Default Style_2';
5. Select Default Style_2, right-click Modify.... Inspect information related to AutoUpdate and value related to that 'above paragraph'. Click Cancel;
6. Select Default Style_2, click icon matching tool-tip 'New Style from Selection', select Update Style.

Actual Results:
5. – Changes made at step 3. are applied except the one regarding AutoUpdate.
6. – Still no effect regarding AutoUpdate.

Expected Results:
5. – Changes made at step 3. to be applied globally without eventually requiring extra step – here 6. –.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.2.1; Build ID: 6.1.2.1-4.fc29; CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2019-02-12 17:01:37 UTC
Thank you for reporting the bug.
it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 ricky.tigg 2019-02-13 11:40:19 UTC
Version: 6.1.5.2; Build ID: 6.1.5.2-1.fc29; CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: gtk3; Locale: en-GB (en_GB.UTF-8); Calc: group threaded

Note: installed component, which appears to be the last, is supplied from Fedora's update repository. Issue is identical.
Comment 3 Buovjaga 2019-07-14 14:26:43 UTC
Repro, already in the oldest commit of 43all Linux bibisect repo.

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 1ce1c26dd98e6477139e08d1ebe89fa950ff5fb0
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 12 July 2019
Comment 4 QA Administrators 2021-07-14 03:34:12 UTC Comment hidden (obsolete)
Comment 5 ricky.tigg 2021-07-19 19:23:47 UTC
Version: 7.1.4.2; Build ID: 10(Build:2); CPU threads: 4; OS: Linux 5.12; UI render: default; VCL: gtk3; Locale: en-US (C); UI: en-US; Calc: threaded

Same observations. Note: since then option "Update Style" has become "Update Selected Style".